{
    "openapi": "3.0.3", 
    "info": {
        "title": "Boomi Managed File Transfer - File Sharing (MFT - FS) APIs", 
        "version": "1.16", 
        "description": "Download OpenAPI Specification: <a href='/APIs/mftFileSharingOpenAPISpec.json' target='_blank' download='mftFileSharingOpenAPISpec.json'>Download</a> \n\n", 
        "contact": {
            "name": "Customer Support", 
            "url": "https://community.boomi.com/boomi_support", 
            "email": "support@boomi.com"
        }
    }, 
    "servers": [
        {
            "url": "https://{MFTWebServer}/REST/{version}", 
            "variables": {
                "MFTWebServer": {
                    "default": "https://example.boomi.com"
                }, 
                "version": {
                    "default": "v1"
                }
            }
        }
    ], 
    "paths": {
        "/Audit/Users/": {
            "get": {
                "tags": [
                    "Audit"
                ], 
                "operationId": "getAuditUsers", 
                "summary": "Retrieve User Audit", 
                "description": "Returns the records of the User audit. \n\n ### Invocation Scenarios \n\n Search **MFT User Audit** records for the current authenticated user. All query parameters are optional. \n\n ### Remarks \n\n REST version: 1.0<br>order=-1 : from latest by date to older<br>order=1 : from earliest by date to newer<br>DateTime should be in Unix epoch format, in milliseconds, example: /Date(1706922061000)/ , slashed included<br>Sample URL with datetime filtering:<br>`https://sitename.domain.ext/REST/1.0/Audit/Users?start=/Date(1704070861000)/&end=/Date(1706922061000)/`<br>Search value for `userSearchString` should not include the quotes, e.g. [userSearchString=email@domain.com](mailto:userSearchString=email@domain.com)", 
                "responses": {
                    "200": {
                        "description": "OK — Response type: ThruPublicAuditUserAction — Schema: ThruPublicAuditUserAction structure contains the extended list of properties which can be filled for User Log Operations. Depending of operation type some of them will be equal to NULL.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruPublicAuditUserAction"
                                }
                            }
                        }
                    }
                }, 
                "parameters": [
                    {
                        "name": "operation", 
                        "in": "query", 
                        "required": false, 
                        "schema": {
                            "type": "integer", 
                            "format": "int32"
                        }
                    }, 
                    {
                        "name": "applicationId", 
                        "in": "query", 
                        "required": false, 
                        "schema": {
                            "type": "integer", 
                            "format": "int32"
                        }
                    }, 
                    {
                        "name": "userId", 
                        "in": "query", 
                        "required": false, 
                        "schema": {
                            "type": "string"
                        }
                    }, 
                    {
                        "name": "userSearchString", 
                        "in": "query", 
                        "required": false, 
                        "schema": {
                            "type": "string"
                        }
                    }, 
                    {
                        "name": "start", 
                        "in": "query", 
                        "required": false, 
                        "schema": {
                            "type": "integer", 
                            "format": "int64", 
                            "description": "Unix epoch time in milliseconds."
                        }
                    }, 
                    {
                        "name": "end", 
                        "in": "query", 
                        "required": false, 
                        "schema": {
                            "type": "integer", 
                            "format": "int64", 
                            "description": "Unix epoch time in milliseconds."
                        }
                    }, 
                    {
                        "name": "skip", 
                        "in": "query", 
                        "required": false, 
                        "schema": {
                            "type": "integer", 
                            "format": "int32"
                        }
                    }, 
                    {
                        "name": "take", 
                        "in": "query", 
                        "required": false, 
                        "schema": {
                            "type": "integer", 
                            "format": "int32"
                        }
                    }, 
                    {
                        "name": "order", 
                        "in": "query", 
                        "required": false, 
                        "schema": {
                            "type": "string"
                        }
                    }
                ]
            }
        }, 
        "/Audit/UserGroups/": {
            "get": {
                "tags": [
                    "Audit"
                ], 
                "operationId": "getAuditUsergroups", 
                "summary": "Retrieve UserGroup Audit", 
                "description": "Returns the records of User Group audit.\n\n ### Invocation Scenarios \n\n Search **MFT UserGroup Audit** records for the current authenticated user. All query parameters are optional. \n\n ### Remarks \n\n REST version: 1.0<br>order=-1 : from latest by date to older<br>order=1 : from earliest by date to newer<br>DateTime should be in Unix epoch format, in milliseconds, example: /Date(1706922061000)/<br>Sample URL with datetime filtering:<br>`https://sitename.domain.ext/REST/1.0/Audit/ UserGroups?start=/Date(1704070861000)/&end=/Date(1706922061000)/`<br>Search value for `userSearchString` should not include the quotes, e.g. userSearchString=email@domain.com<br>Search value for `userGroupSearchString` should not include the quotes, e.g. userGroupSearchString=Test UserGroup API v1.", 
                "responses": {
                    "200": {
                        "description": "OK — Response type: ThruPublicAuditUserGroupAction — Schema: ThruPublicAuditUserGroupAction structure contains the extended list of properties which can be filled for User Group Log Operations. Depending of operation type some of them will be equal to NULL.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruPublicAuditUserGroupAction"
                                }
                            }
                        }
                    }
                }, 
                "parameters": [
                    {
                        "name": "operation", 
                        "in": "query", 
                        "required": false, 
                        "schema": {
                            "type": "integer", 
                            "format": "int32"
                        }
                    }, 
                    {
                        "name": "userId", 
                        "in": "query", 
                        "required": false, 
                        "schema": {
                            "type": "string"
                        }
                    }, 
                    {
                        "name": "userGroupId", 
                        "in": "query", 
                        "required": false, 
                        "schema": {
                            "type": "string"
                        }
                    }, 
                    {
                        "name": "userSearchString", 
                        "in": "query", 
                        "required": false, 
                        "schema": {
                            "type": "string"
                        }
                    }, 
                    {
                        "name": "userGroupSearchString", 
                        "in": "query", 
                        "required": false, 
                        "schema": {
                            "type": "string"
                        }
                    }, 
                    {
                        "name": "start", 
                        "in": "query", 
                        "required": false, 
                        "schema": {
                            "type": "integer", 
                            "format": "int64", 
                            "description": "Unix epoch time in milliseconds."
                        }
                    }, 
                    {
                        "name": "end", 
                        "in": "query", 
                        "required": false, 
                        "schema": {
                            "type": "integer", 
                            "format": "int64", 
                            "description": "Unix epoch time in milliseconds."
                        }
                    }, 
                    {
                        "name": "skip", 
                        "in": "query", 
                        "required": false, 
                        "schema": {
                            "type": "integer", 
                            "format": "int32"
                        }
                    }, 
                    {
                        "name": "take", 
                        "in": "query", 
                        "required": false, 
                        "schema": {
                            "type": "integer", 
                            "format": "int32"
                        }
                    }, 
                    {
                        "name": "order", 
                        "in": "query", 
                        "required": false, 
                        "schema": {
                            "type": "string"
                        }
                    }
                ]
            }
        }, 
        "/Audit/FileSystem/": {
            "get": {
                "tags": [
                    "Audit"
                ], 
                "operationId": "getAuditFilesystem", 
                "summary": "Retrieve FileSystem Audit", 
                "description": "Get list of the FileSystem audit. \n\n ### Invocation Scenarios \n\n Search **MFT FileSystem Audit** records for the current authenticated user. All query parameters are optional. \n\n ### Remarks \n\n REST version: 1.0<br>order=-1 : from latest by date to older<br>order=1 : from earliest by date to newer<br>DateTime should be in Unix epoch format, in milliseconds, example: /Date(1706922061000)/<br>Sample URL with datetime filtering:<br>`https://sitename.domain.ext/REST/1.0/Audit/ FileSystem?start=/Date(1704070861000)/&end=/Date(1706922061000)/`", 
                "responses": {
                    "200": {
                        "description": "OK — Response type: ThruPublicAuditFileSystemTransactionAction — Schema: ThruPublicAuditFileSystemTransactionAction structure contains the extended list of properties which can be filled for FileSystem Log Operations. Depending on operation type some values will be equal to NULL and will not be returned in the response.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruPublicAuditFileSystemTransactionAction"
                                }
                            }
                        }
                    }
                }, 
                "parameters": [
                    {
                        "name": "operation", 
                        "in": "query", 
                        "required": false, 
                        "schema": {
                            "type": "integer", 
                            "format": "int32"
                        }
                    }, 
                    {
                        "name": "applicationId", 
                        "in": "query", 
                        "required": false, 
                        "schema": {
                            "type": "integer", 
                            "format": "int32"
                        }
                    }, 
                    {
                        "name": "userId", 
                        "in": "query", 
                        "required": false, 
                        "schema": {
                            "type": "string"
                        }
                    }, 
                    {
                        "name": "start", 
                        "in": "query", 
                        "required": false, 
                        "schema": {
                            "type": "string", 
                            "format": "date-time"
                        }
                    }, 
                    {
                        "name": "end", 
                        "in": "query", 
                        "required": false, 
                        "schema": {
                            "type": "string", 
                            "format": "date-time"
                        }
                    }, 
                    {
                        "name": "skip", 
                        "in": "query", 
                        "required": false, 
                        "schema": {
                            "type": "integer", 
                            "format": "int32"
                        }
                    }, 
                    {
                        "name": "take", 
                        "in": "query", 
                        "required": false, 
                        "schema": {
                            "type": "integer", 
                            "format": "int32"
                        }
                    }, 
                    {
                        "name": "order", 
                        "in": "query", 
                        "required": false, 
                        "schema": {
                            "type": "string"
                        }
                    }
                ]
            }
        }, 
        "/Favorites/Folder/{folderId}": {
            "parameters": [
                {
                    "$ref": "#/components/parameters/folderId"
                }
            ], 
            "put": {
                "tags": [
                    "Favorites"
                ], 
                "operationId": "putFavoritesFolderByFolderid", 
                "summary": "Add Folder to Favorites", 
                "description": "Add folder with the specified id to favorites.\n\n### Invocation Scenarios\nMark folder whose ID is specified in URL as favorite", 
                "responses": {
                    "200": {
                        "description": "None"
                    }
                }
            }, 
            "delete": {
                "tags": [
                    "Favorites"
                ], 
                "operationId": "deleteFavoritesFolderByFolderid", 
                "summary": "Delete Folder from Favorites", 
                "description": "Remove folder with the specified ID from favorites.\n\n", 
                "responses": {
                    "200": {
                        "description": "None"
                    }
                }
            }
        }, 
        "/Favorites/File/{fileId}": {
            "parameters": [
                {
                    "$ref": "#/components/parameters/fileId"
                }
            ], 
            "put": {
                "tags": [
                    "Favorites"
                ], 
                "operationId": "putFavoritesFileByFileid", 
                "summary": "Add File to Favorites", 
                "description": "Add file with the specified ID to favorites.\n\n", 
                "responses": {
                    "200": {
                        "description": "None"
                    }
                }
            }, 
            "delete": {
                "tags": [
                    "Favorites"
                ], 
                "operationId": "deleteFavoritesFileByFileid", 
                "summary": "Delete File from Favorites", 
                "description": "Remove file with the specified ID from favorites.\n\n", 
                "responses": {
                    "200": {
                        "description": "None"
                    }
                }
            }
        }, 
        "/Favorites/Content": {
            "get": {
                "tags": [
                    "Favorites"
                ], 
                "operationId": "getFavoritesContent", 
                "summary": "Retrieve All Content in Favorites", 
                "description": "Retrieves a collection of file and folder information structures marked as favorites. Result can be filtered by options.\n\n", 
                "responses": {
                    "200": {
                        "description": "OK — Response type: ThruPublicContentResult — Schema: ThruPublicContentResult structure contains information about the content of the MFT FSfolder.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruPublicContentResult"
                                }
                            }
                        }
                    }
                }
            }
        }, 
        "/Favorites/Content/Files": {
            "get": {
                "tags": [
                    "Favorites"
                ], 
                "operationId": "getFavoritesContentFiles", 
                "summary": "Retrieve Files in Favorites", 
                "description": "Retrieves a collection of file information structures marked as favorites. Result can be filtered by options.\n\n", 
                "responses": {
                    "200": {
                        "description": "OK — Response type: ThruPublicContentResult — Schema: ThruPublicContentResult structure contains information about the content of the MFT FSfolder.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruPublicContentResult"
                                }
                            }
                        }
                    }
                }
            }
        }, 
        "/Favorites/Content/Folders": {
            "get": {
                "tags": [
                    "Favorites"
                ], 
                "operationId": "getFavoritesContentFolders", 
                "summary": "Retrieve Folders in Favorites", 
                "description": "Retrieves a collection of folder information structures marked as favorites. Result can be filtered by options.\n\n", 
                "responses": {
                    "200": {
                        "description": "OK — Response type: ThruPublicContentResult — Schema: ThruPublicContentResult structure contains information about the content of the MFT FSfolder.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruPublicContentResult"
                                }
                            }
                        }
                    }
                }
            }
        }, 
        "/FileSystem/File/{fileId}": {
            "parameters": [
                {
                    "$ref": "#/components/parameters/fileId"
                }
            ], 
            "get": {
                "tags": [
                    "File"
                ], 
                "operationId": "getFilesystemFileByFileid", 
                "summary": "Check Existing File Information", 
                "description": "Retrieves a file information based on the provided ID\n\n**Remarks**\n| All returned dates are in UTC. |", 
                "responses": {
                    "200": {
                        "description": "OK — Response type: ThruPublicFileInfo — Schema: ThruPublicFileInfo structure contains information about file in MFT FS file system.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruPublicFileInfo"
                                }
                            }
                        }
                    }
                }
            }, 
            "put": {
                "tags": [
                    "File"
                ], 
                "operationId": "putFilesystemFileByFileid", 
                "summary": "Updated File Information", 
                "description": "Updates file information based on the provided information. Information should be passed in the body as a serialized representation of the  <br>ThruPublicFileInfo DTO\n\n**Remarks**\n| Value of the FileID field in the posted  \nThruPublicFileInfo DTO should reference to the existing, non-deleted, non-quarantined file. Otherwise, exception will be thrown\n\nNot all properties of  \nThruPublicFileInfo can be modified:\n\nName  \nParentFolderID  \nDescription  \nKeywords  \nParentFolderID\n\nThe following properties should not be provided; if provided, their values will be ignored:  \nSize  \nDateCreated  \nDateModified  \nCreatedByUserID  \nModifiedByUserID  \nIsQuarantined\n\nModifiedByUserID field of the file will be updated if the statement succeeded\n\nAfter successful processing of the command updated  \nThruPublicFileInfo object will be returned", 
                "responses": {
                    "200": {
                        "description": "OK — Response type: ThruPublicFileInfo — Schema: ThruPublicFileInfo structure contains information about file in MFT FS file system.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruPublicFileInfo"
                                }
                            }
                        }
                    }
                }, 
                "requestBody": {
                    "required": true, 
                    "content": {
                        "application/x-www-form-urlencoded": {
                            "schema": {
                                "$ref": "#/components/schemas/ThruPublicFileInfo"
                            }, 
                            "example": "CreatedByUserID=1Q1OBQWVHTROE&DateCreated=%2FDate%281346072694480%29%2F&DateModified=%2FDate%281346072694480%29%2F&EffectivePermission=254&FileID=2OMFYXLA6BP9D&InFavorite=False&IsPartiallyUploaded=False&IsQuarantined=False&ModifiedByUserID=1Q1OBQWVHTROE&Name=2.html&ParentFolderID=1UTXM50KW0ISP&Path=FOLDERS%2FHOME%2FAdmin%2FMy+Documents%2F2.html&Size=198&Description=Description&Tags=Tags"
                        }
                    }, 
                    "description": "Request body — Request type: ThruPublicFileInfo — Schema: ThruPublicFileInfo structure contains information about file in MFT FS file system."
                }
            }, 
            "delete": {
                "tags": [
                    "File"
                ], 
                "operationId": "deleteFilesystemFileByFileid", 
                "summary": "Delete Existing File", 
                "description": "Deletes file based on the provided information. No additional data should be passed on the request body.\n\n**Remarks**\n| Possibly later this file can be restored by administrator based on the MFT server configuration |", 
                "responses": {
                    "200": {
                        "description": "None"
                    }
                }
            }
        }, 
        "/FileSystem/Folder": {
            "post": {
                "tags": [
                    "Folder"
                ], 
                "operationId": "postFilesystemFolder", 
                "summary": "Create New Folder Information", 
                "description": "Creates a new folder in MFT file system\n\n**Remarks**\n| Example request: Name=New+Folder&ParentFolderId=1UTXM50KW0ISP&  <br>Description=Description&Tags%5B%5D=567&Tags%5B%5D=897 |\n\n### Invocation Scenarios\nCreate a new folder\n\n### Remarks\nExample request: Name=New+Folder&ParentFolderId=1UTXM50KW0ISP&\nDescription=Description&Tags%5B%5D=567&Tags%5B%5D=897", 
                "responses": {
                    "201": {
                        "description": "OK — Response type: ThruPublicFolderInfo — Schema: ThruPublicFolderInfo structure contains information about folder in MFT file system.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruPublicFolderInfo"
                                }
                            }
                        }
                    }
                }, 
                "requestBody": {
                    "required": true, 
                    "content": {
                        "application/x-www-form-urlencoded": {
                            "schema": {
                                "$ref": "#/components/schemas/ThruPublicFolderInfo"
                            }, 
                            "example": "CreatedByUserID=1Q1OBQWVHTROE&DateCreated=%2FDate%281337174868623%29%2F&DateModified=%2FDate%281337174868623%29%2F&EffectivePermission=254&FolderID=0QN8H2VKTGIWE&FolderType=0&InFavorite=False&ModifiedByUserID=1Q1OBQWVHTROE&Name=Admin&ParentFolderID=11ETULS0966VI&Path=FOLDERS%2FHOME%2FAdmin&Size=2450294218&Description=Description&Tags=Tags"
                        }
                    }, 
                    "description": "Request body — Request type: ThruPublicFolderInfo — Schema: ThruPublicFolderInfo structure contains information about folder in MFT file system."
                }
            }
        }, 
        "/FileSystem/Folder/{folderId}": {
            "parameters": [
                {
                    "$ref": "#/components/parameters/folderId"
                }
            ], 
            "get": {
                "tags": [
                    "Folder"
                ], 
                "operationId": "getFilesystemFolderByFolderid", 
                "summary": "Retrieve Existing Folder Information", 
                "description": "Retrieves a folder information based on the provided ID\n\n**Remarks**\n| All returned dates are in UTC. |", 
                "responses": {
                    "200": {
                        "description": "OK — Response type: ThruPublicFolderInfo — Schema: ThruPublicFolderInfo structure contains information about folder in MFT file system.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruPublicFolderInfo"
                                }
                            }
                        }
                    }
                }
            }, 
            "put": {
                "tags": [
                    "Folder"
                ], 
                "operationId": "putFilesystemFolderByFolderid", 
                "summary": "Updated Folder Information", 
                "description": "Updates folder information based on the provided information.  <br>Information should be passed in the body as a serialized representation of the ThruPublicFolderInfo DTO.\n\n**Remarks**\n| Value of the FolderID field in the posted  \nThruPublicFileInfo DTO should reference to the existing and non-deleted folder. Otherwise, exception will be thrown.  \nNot all properties of ThruPublicFolderInfo can be modified:", 
                "responses": {
                    "200": {
                        "description": "OK — Response type: ThruPublicFolderInfo — Schema: ThruPublicFolderInfo structure contains information about folder in MFT file system.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruPublicFolderInfo"
                                }
                            }
                        }
                    }
                }, 
                "requestBody": {
                    "required": true, 
                    "content": {
                        "application/x-www-form-urlencoded": {
                            "schema": {
                                "$ref": "#/components/schemas/ThruPublicFolderInfo"
                            }, 
                            "example": "CreatedByUserID=1Q1OBQWVHTROE&DateCreated=%2FDate%281337174868623%29%2F&DateModified=%2FDate%281337174868623%29%2F&EffectivePermission=254&FolderID=0QN8H2VKTGIWE&FolderType=0&InFavorite=False&ModifiedByUserID=1Q1OBQWVHTROE&Name=Admin&ParentFolderID=11ETULS0966VI&Path=FOLDERS%2FHOME%2FAdmin&Size=2450294218&Description=Description&Tags=Tags"
                        }
                    }, 
                    "description": "Request body — Request type: ThruPublicFolderInfo — Schema: ThruPublicFolderInfo structure contains information about folder in MFT file system."
                }
            }, 
            "delete": {
                "tags": [
                    "Folder"
                ], 
                "operationId": "deleteFilesystemFolderByFolderid", 
                "summary": "Delete Existing Folder", 
                "description": "Deletes folder and its content based on the provided information. No additional data should be passed on the request body\n\n**Remarks**\n| The folder could be restored later by administrator based on the MFT server configuration |", 
                "responses": {
                    "200": {
                        "description": "None"
                    }
                }
            }
        }, 
        "/FileSystem/Folder/{folderId}/Content": {
            "parameters": [
                {
                    "$ref": "#/components/parameters/folderId"
                }
            ], 
            "get": {
                "tags": [
                    "Folder"
                ], 
                "operationId": "getFilesystemFolderByFolderidContent", 
                "summary": "Retrieve List of Files and Folders inside a Folder", 
                "description": "Retrieves a collection of file and folder information structures based on the provided parent folder ID.\n\n", 
                "responses": {
                    "200": {
                        "description": "OK — Response type: ThruPublicContentResult — Schema: ThruPublicContentResult structure contains information about the content of the MFT FSfolder.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruPublicContentResult"
                                }
                            }
                        }
                    }
                }
            }
        }, 
        "/FileSystem/Folder/{folderId}/Content/Files": {
            "parameters": [
                {
                    "$ref": "#/components/parameters/folderId"
                }
            ], 
            "get": {
                "tags": [
                    "Folder"
                ], 
                "operationId": "getFilesystemFolderByFolderidContentFiles", 
                "summary": "Retrieve List of Files inside a Folder", 
                "description": "Retrieves a collection of file information structures based on the provided parent folder ID.\n\n", 
                "responses": {
                    "200": {
                        "description": "OK — Response type: ThruPublicContentResult — Schema: ThruPublicContentResult structure contains information about the content of the MFT FSfolder.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruPublicContentResult"
                                }
                            }
                        }
                    }
                }
            }
        }, 
        "/FileSystem/Folder/{folderId}/Content/Folders": {
            "parameters": [
                {
                    "$ref": "#/components/parameters/folderId"
                }
            ], 
            "get": {
                "tags": [
                    "Folder"
                ], 
                "operationId": "getFilesystemFolderByFolderidContentFolders", 
                "summary": "Retrieve List of Folders inside a Folder", 
                "description": "Retrieves a collection of folder information structures based on the provided parent folder ID.\n\n**", 
                "responses": {
                    "200": {
                        "description": "OK — Response type: ThruPublicContentResult — Schema: ThruPublicContentResult structure contains information about the content of the MFT FSfolder.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruPublicContentResult"
                                }
                            }
                        }
                    }
                }
            }
        }, 
        "/FileSystem/Home": {
            "get": {
                "tags": [
                    "Home"
                ], 
                "operationId": "getFilesystemHome", 
                "summary": "Retrieve Home Folder Information", 
                "description": "Retrieves a home folder information of the authenticated user\n\n**Remarks**\n| All returned dates are in UTC. |", 
                "responses": {
                    "200": {
                        "description": "OK — Response type: ThruPublicFolderInfo — Schema: ThruPublicFolderInfo structure contains information about folder in MFT file system.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruPublicFolderInfo"
                                }
                            }
                        }
                    }
                }
            }
        }, 
        "/FileSystem/Home/Content": {
            "get": {
                "tags": [
                    "Home"
                ], 
                "operationId": "getFilesystemHomeContent", 
                "summary": "Retrieve List of Files and Folders inside a Home Folder", 
                "description": "Retrieves a collection of file and folder information structures based on the home folder information of the authenticated user.\n\n", 
                "responses": {
                    "200": {
                        "description": "OK — Response type: ThruPublicContentResult - Schema: ", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruPublicContentResult"
                                }
                            }
                        }
                    }
                }
            }
        }, 
        "/FileSystem/Home/Content/Files": {
            "get": {
                "tags": [
                    "Home"
                ], 
                "operationId": "getFilesystemHomeContentFiles", 
                "summary": "Retrieve List of Files inside a Home Folder", 
                "description": "Retrieves a collection of file information structures based on the home folder information of the authenticated user.\n\n", 
                "responses": {
                    "200": {
                        "description": "OK — Response type: ThruPublicContentResult — Schema: ThruPublicContentResult structure contains information about the content of the MFT FSfolder.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruPublicContentResult"
                                }
                            }
                        }
                    }
                }
            }
        }, 
        "/FileSystem/Home/Content/Folders": {
            "get": {
                "tags": [
                    "Home"
                ], 
                "operationId": "getFilesystemHomeContentFolders", 
                "summary": "Retrieve List of Folders inside a Home Folder", 
                "description": "Retrieves a collection of folder information structures based on the home folder information of the authenticated user.\n\n", 
                "responses": {
                    "200": {
                        "description": "OK — Response type: ThruPublicContentResult — Schema: ThruPublicContentResult structure contains information about the content of the MFT FSfolder.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruPublicContentResult"
                                }
                            }
                        }
                    }
                }
            }
        }, 
        "/FileSystem/Root": {
            "get": {
                "tags": [
                    "Root"
                ], 
                "operationId": "getFilesystemRoot", 
                "summary": "Retrieve Root Folder Information", 
                "description": "Retrieves a root folder information of the authenticated user\n\n**Remarks**\n| All returned dates are in UTC. |", 
                "responses": {
                    "200": {
                        "description": "OK — Response type: ThruPublicFolderInfo — Schema: ThruPublicFolderInfo structure contains information about folder in MFT file system.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruPublicFolderInfo"
                                }
                            }
                        }
                    }
                }
            }
        }, 
        "/FileSystem/Root/Content": {
            "get": {
                "tags": [
                    "Root"
                ], 
                "operationId": "getFilesystemRootContent", 
                "summary": "Retrieve List of Files and Folders inside a Root Folder", 
                "description": "Retrieves a collection of file and folder information structures based on the root folder information of the authenticated user.\n\n", 
                "responses": {
                    "200": {
                        "description": "None"
                    }
                }
            }
        }, 
        "/FileSystem/Root/Content/Files": {
            "get": {
                "tags": [
                    "Root"
                ], 
                "operationId": "getFilesystemRootContentFiles", 
                "summary": "Retrieve List of Files inside a Root Folder", 
                "description": "Retrieves a collection of file information structures based on the root folder information of the authenticated user.\n\n", 
                "responses": {
                    "200": {
                        "description": "OK — Response type: ThruPublicContentResult — Schema: ThruPublicContentResult structure contains information about the content of the MFT FSfolder.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruPublicContentResult"
                                }
                            }
                        }
                    }
                }
            }
        }, 
        "/FileSystem/Root/Content/Folders": {
            "get": {
                "tags": [
                    "Root"
                ], 
                "operationId": "getFilesystemRootContentFolders", 
                "summary": "Retrieve List of Folders inside a Root Folder", 
                "description": "Retrieves a collection of folder information structures based on the root folder information of the authenticated user.\n\n", 
                "responses": {
                    "200": {
                        "description": "OK — Response type: ThruPublicContentResult — Schema: ThruPublicContentResult structure contains information about the content of the MFT FSfolder.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruPublicContentResult"
                                }
                            }
                        }
                    }
                }
            }
        }, 
        "/ImmutableSession": {
            "post": {
                "tags": [
                    "ImmutableSession"
                ], 
                "operationId": "postImmutablesession", 
                "summary": "Create new Immutable Session object", 
                "description": "Verify user credentials and authenticate MFT user in the system with immutable session. Optionally passes external user information for audit purposes in UserString for the session opened. Device\\_UUID parameter is mandatory and can be set to any string.\n\n**Remarks**\n| Example request: UserName=admin&Password=password&  <br>ClientVersion=1&ApplicationId=12&UserString=User |", 
                "responses": {
                    "201": {
                        "description": "OK — Response type: ThruPublicSession — Schema: ThruPublicSession structure contains authorization information about user.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruPublicSession"
                                }
                            }
                        }
                    }
                }, 
                "requestBody": {
                    "required": true, 
                    "content": {
                        "application/x-www-form-urlencoded": {
                            "schema": {
                                "$ref": "#/components/schemas/ThruSessionRequest"
                            }, 
                            "example": "ApplicationId=12&ClientVersion=1&Device%5CUUID=Device1234&Password=Password&UserName=Test&UserString=Name+%2F+email%40domain.com"
                        }
                    }, 
                    "description": "Request body — Request type: ThruSessionRequest — Schema: ThruSessionRequest structure contains information required for the MFT user authentication."
                }, 
                "security": []
            }
        }, 
        "/ImmutableSessionByTicket": {
            "post": {
                "tags": [
                    "ImmutableSessionByTicket"
                ], 
                "operationId": "postImmutablesessionbyticket", 
                "summary": "Create new Immutable Session object by Ticket", 
                "description": "Verify user credentials and authenticate MFT user in the system with immutable session\n\n**Remarks**\n| Example request: UserName=admin&Password=password&  <br>ClientVersion=1&ApplicationId=12 |", 
                "responses": {
                    "201": {
                        "description": "OK — Response type: ThruPublicSession — Schema: ThruPublicSession structure contains authorization information about user.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruPublicSession"
                                }
                            }
                        }
                    }
                }, 
                "requestBody": {
                    "required": true, 
                    "content": {
                        "application/x-www-form-urlencoded": {
                            "schema": {
                                "$ref": "#/components/schemas/ThruSessionRequest"
                            }, 
                            "example": "ApplicationId=12&ClientVersion=1&Device%5CUUID=Device1234&Password=Password&UserName=Test&UserString=Name+%2F+email%40domain.com"
                        }
                    }, 
                    "description": "Request body — Request type: ThruSessionRequest — Schema: ThruSessionRequest structure contains information required for the MFT user authentication."
                }, 
                "security": []
            }
        }, 
        "/Message": {
            "post": {
                "tags": [
                    "Message"
                ], 
                "operationId": "postMessage", 
                "summary": "Create New Message", 
                "description": "Creates MFT message according to ThruPublicMessageInfo structure passed in HTTP request\n\n**Remarks**\nToRecipients, CcRecipients, BccRecipients fields in ThruPublicMessageInfo should be present in request as a string array.  \nThese fields will bind to required structure on server side.\n\nDateExpired must be converted to UTC.\n\n### Invocation Scenarios\nSend one or more files and folders to recipients\nSend private message to recipients\n\n### Remarks\nAll returned dates are in UTC.", 
                "responses": {
                    "201": {
                        "description": "OK — Response type: ThruPublicMessageInfo — Schema: ThruPublicMessageInfo structure contains information about MFT message.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruPublicMessageInfo"
                                }
                            }
                        }
                    }
                }, 
                "requestBody": {
                    "required": true, 
                    "content": {
                        "application/x-www-form-urlencoded": {
                            "schema": {
                                "$ref": "#/components/schemas/ThruPublicMessageInfo"
                            }, 
                            "example": "CollectedFlag=True&DateCreated=%2FDate%281337611985780%29%2F&DateExpired=%2FDate%281357070340000%29%2F&DateSent=%2FDate%281337611985780%29%2F&ExpireNow=False&IsExpired=False&MessageID=1HPHF1D8FF8S0&NotifyFlag=False&Priority=3&PrivateMessage=Private+text&PublicMessage=Public+text&RequestLogin=False&SendByClient=False&Subject=test&TrackingNo=T478-026-95732-36971&UserID=1Q1OBQWVHTROE&MsgHtmlTemplate=MsgHtmlTemplate&MsgTextTemplate=MsgTextTemplate&ToRecipients=%5B%7B%22Collected%22%3Atrue%2C%22MsgId%22%3A%221R6NE5OZ8QHXA%22%2C%22RecipientEmail%22%3A%22test.test%40test.com%22%2C%22RecipientId%22%3A%222MIMZFR1K0471%22%2C%22MsgRecipientLevelPublicID%22%3A%22MsgRecipientLevelPublicID%22%7D%5D&CcRecipients=%5B%7B%22Collected%22%3Atrue%2C%22MsgId%22%3A%221R6NE5OZ8QHXA%22%2C%22RecipientEmail%22%3A%22test.test%40test.com%22%2C%22RecipientId%22%3A%222MIMZFR1K0471%22%2C%22MsgRecipientLevelPublicID%22%3A%22MsgRecipientLevelPublicID%22%7D%5D&BccRecipients=%5B%7B%22Collected%22%3Atrue%2C%22MsgId%22%3A%221R6NE5OZ8QHXA%22%2C%22RecipientEmail%22%3A%22test.test%40test.com%22%2C%22RecipientId%22%3A%222MIMZFR1K0471%22%2C%22MsgRecipientLevelPublicID%22%3A%22MsgRecipientLevelPublicID%22%7D%5D&FoldersAttached=%5B%7B%22CreatedByUserID%22%3A%221Q1OBQWVHTROE%22%2C%22DateCreated%22%3A%22%2FDate%281337174868623%29%2F%22%2C%22DateModified%22%3A%22%2FDate%281337174868623%29%2F%22%2C%22EffectivePermission%22%3A254%2C%22FolderID%22%3A%220QN8H2VKTGIWE%22%2C%22FolderType%22%3A0%2C%22InFavorite%22%3Afalse%2C%22ModifiedByUserID%22%3A%221Q1OBQWVHTROE%22%2C%22Name%22%3A%22Admin%22%2C%22ParentFolderID%22%3A%2211ETULS0966VI%22%2C%22Path%22%3A%22FOLDERS%2FHOME%2FAdmin%22%2C%22Size%22%3A2450294218%2C%22Description%22%3A%22Description%22%2C%22Tags%22%3A%5B%22Tags%22%5D%7D%5D&FilesAttached=%5B%7B%22CreatedByUserID%22%3A%221Q1OBQWVHTROE%22%2C%22DateCreated%22%3A%22%2FDate%281337174868623%29%2F%22%2C%22DateModified%22%3A%22%2FDate%281337174868623%29%2F%22%2C%22EffectivePermission%22%3A254%2C%22FolderID%22%3A%220QN8H2VKTGIWE%22%2C%22FolderType%22%3A0%2C%22InFavorite%22%3Afalse%2C%22ModifiedByUserID%22%3A%221Q1OBQWVHTROE%22%2C%22Name%22%3A%22Admin%22%2C%22ParentFolderID%22%3A%2211ETULS0966VI%22%2C%22Path%22%3A%22FOLDERS%2FHOME%2FAdmin%22%2C%22Size%22%3A2450294218%2C%22Description%22%3A%22Description%22%2C%22Tags%22%3A%5B%22Tags%22%5D%7D%5D"
                        }
                    }, 
                    "description": "Request body — Request type: ThruPublicMessageInfo — Schema: ThruPublicMessageInfo structure contains information about MFT message."
                }
            }
        }, 
        "/Message/{messageId}": {
            "parameters": [
                {
                    "$ref": "#/components/parameters/messageId"
                }
            ], 
            "get": {
                "tags": [
                    "Message"
                ], 
                "operationId": "getMessageByMessageid", 
                "summary": "Retrieve Existing Message", 
                "description": "Retrieves message information based on the provided ID.\n\n**Remarks**\n| All returned dates are in UTC. |", 
                "responses": {
                    "200": {
                        "description": "OK — Response type: ThruPublicMessageInfo — Schema: ThruPublicMessageInfo structure contains information about MFT message.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruPublicMessageInfo"
                                }
                            }
                        }
                    }
                }
            }, 
            "delete": {
                "tags": [
                    "Message"
                ], 
                "operationId": "deleteMessageByMessageid", 
                "summary": "Delete Existing Message", 
                "description": "Deletes message based on the provided information. No additional data should be passed on the request body.\n\n", 
                "responses": {
                    "200": {
                        "description": "None"
                    }
                }
            }, 
            "put": {
                "tags": [
                    "Message"
                ], 
                "operationId": "putMessageByMessageid", 
                "summary": "Update Message", 
                "description": "Updates message information based on the provided information.  <br>Information should be passed in the body as a serialized representation of the ThruPublicMessageInfo DTO\n\n**Remarks**\n| Value of the MessageID field in the posted ThruPublicMessageInfo DTO should reference to the existing, non-deleted message. Otherwise, exception will be thrown.\n\nNot all properties of ThruPublicMessageInfo can be modified:  \nDateExpired  \nExpireNow  \nToRecipients, CcRecipients, BccRecipients  \nFoldersAttached, FilesAttached\n\nDateExpired must be converted to UTC.\n\nRecipients to delete must be provided in ToRecipients field. They will be deleted from To, Cc and Bcc lists.\n\nIf provided, the values of the following fields are ignored:\n\nSubject  \nPriority  \nPublicMessage  \nPrivateMessage  \nCollectedFlag  \nRequestLogin  \nSendByClient  \nDateCreated  \nDateSent\n\nAfter successful processing of the command updated  \nThruPublicFileInfo object will be returned.", 
                "responses": {
                    "200": {
                        "description": "OK — Response type: ThruPublicMessageInfo — Schema: ThruPublicMessageInfo structure contains information about MFT message.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruPublicMessageInfo"
                                }
                            }
                        }
                    }
                }, 
                "requestBody": {
                    "required": true, 
                    "content": {
                        "application/x-www-form-urlencoded": {
                            "schema": {
                                "$ref": "#/components/schemas/ThruPublicMessageInfo"
                            }, 
                            "example": "CollectedFlag=True&DateCreated=%2FDate%281337611985780%29%2F&DateExpired=%2FDate%281357070340000%29%2F&DateSent=%2FDate%281337611985780%29%2F&ExpireNow=False&IsExpired=False&MessageID=1HPHF1D8FF8S0&NotifyFlag=False&Priority=3&PrivateMessage=Private+text&PublicMessage=Public+text&RequestLogin=False&SendByClient=False&Subject=test&TrackingNo=T478-026-95732-36971&UserID=1Q1OBQWVHTROE&MsgHtmlTemplate=MsgHtmlTemplate&MsgTextTemplate=MsgTextTemplate&ToRecipients=%5B%7B%22Collected%22%3Atrue%2C%22MsgId%22%3A%221R6NE5OZ8QHXA%22%2C%22RecipientEmail%22%3A%22test.test%40test.com%22%2C%22RecipientId%22%3A%222MIMZFR1K0471%22%2C%22MsgRecipientLevelPublicID%22%3A%22MsgRecipientLevelPublicID%22%7D%5D&CcRecipients=%5B%7B%22Collected%22%3Atrue%2C%22MsgId%22%3A%221R6NE5OZ8QHXA%22%2C%22RecipientEmail%22%3A%22test.test%40test.com%22%2C%22RecipientId%22%3A%222MIMZFR1K0471%22%2C%22MsgRecipientLevelPublicID%22%3A%22MsgRecipientLevelPublicID%22%7D%5D&BccRecipients=%5B%7B%22Collected%22%3Atrue%2C%22MsgId%22%3A%221R6NE5OZ8QHXA%22%2C%22RecipientEmail%22%3A%22test.test%40test.com%22%2C%22RecipientId%22%3A%222MIMZFR1K0471%22%2C%22MsgRecipientLevelPublicID%22%3A%22MsgRecipientLevelPublicID%22%7D%5D&FoldersAttached=%5B%7B%22CreatedByUserID%22%3A%221Q1OBQWVHTROE%22%2C%22DateCreated%22%3A%22%2FDate%281337174868623%29%2F%22%2C%22DateModified%22%3A%22%2FDate%281337174868623%29%2F%22%2C%22EffectivePermission%22%3A254%2C%22FolderID%22%3A%220QN8H2VKTGIWE%22%2C%22FolderType%22%3A0%2C%22InFavorite%22%3Afalse%2C%22ModifiedByUserID%22%3A%221Q1OBQWVHTROE%22%2C%22Name%22%3A%22Admin%22%2C%22ParentFolderID%22%3A%2211ETULS0966VI%22%2C%22Path%22%3A%22FOLDERS%2FHOME%2FAdmin%22%2C%22Size%22%3A2450294218%2C%22Description%22%3A%22Description%22%2C%22Tags%22%3A%5B%22Tags%22%5D%7D%5D&FilesAttached=%5B%7B%22CreatedByUserID%22%3A%221Q1OBQWVHTROE%22%2C%22DateCreated%22%3A%22%2FDate%281337174868623%29%2F%22%2C%22DateModified%22%3A%22%2FDate%281337174868623%29%2F%22%2C%22EffectivePermission%22%3A254%2C%22FolderID%22%3A%220QN8H2VKTGIWE%22%2C%22FolderType%22%3A0%2C%22InFavorite%22%3Afalse%2C%22ModifiedByUserID%22%3A%221Q1OBQWVHTROE%22%2C%22Name%22%3A%22Admin%22%2C%22ParentFolderID%22%3A%2211ETULS0966VI%22%2C%22Path%22%3A%22FOLDERS%2FHOME%2FAdmin%22%2C%22Size%22%3A2450294218%2C%22Description%22%3A%22Description%22%2C%22Tags%22%3A%5B%22Tags%22%5D%7D%5D"
                        }
                    }, 
                    "description": "Request body — Request type: ThruPublicMessageInfo — Schema: ThruPublicMessageInfo structure contains information about MFT message."
                }
            }
        }, 
        "/Message/Discard/{messageId}": {
            "parameters": [
                {
                    "$ref": "#/components/parameters/messageId"
                }
            ], 
            "put": {
                "tags": [
                    "Message"
                ], 
                "operationId": "putMessageDiscardByMessageid", 
                "summary": "Update Discard Message", 
                "description": "Discard message based on the provided information. No additional data should be passed on the request body.\n\n**Remarks**\n| This method can be called only after the method ‘New MFT message’ is called |", 
                "responses": {
                    "200": {
                        "description": "None"
                    }
                }
            }
        }, 
        "/Message/Complete/{messageId}": {
            "parameters": [
                {
                    "$ref": "#/components/parameters/messageId"
                }
            ], 
            "put": {
                "tags": [
                    "Message"
                ], 
                "operationId": "putMessageCompleteByMessageid", 
                "summary": "Update Complete Message", 
                "description": "Complete message based on the provided information. No additional data should be passed on the request body.\n\n**Remarks**\n| This method can be called only after the method ‘New MFT message’ is called |", 
                "responses": {
                    "200": {
                        "description": "OK — Response type: ThruPublicMessageInfo — Schema: ThruPublicMessageInfo structure contains information about MFT message.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruPublicMessageInfo"
                                }
                            }
                        }
                    }
                }
            }
        }, 
        "/Message/Content/{skip}/{take}": {
            "parameters": [
                {
                    "$ref": "#/components/parameters/skip"
                }, 
                {
                    "$ref": "#/components/parameters/take"
                }
            ], 
            "get": {
                "tags": [
                    "Message"
                ], 
                "operationId": "getMessageContentBySkipByTake", 
                "summary": "Retrieve SentThru List", 
                "description": "Get list of the sent messages. Attachments are not included in returned data object.\n\n", 
                "responses": {
                    "200": {
                        "description": "OK — Response type: ThruPublicMessageInfo — Schema: ThruPublicMessageInfo structure contains information about MFT message.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruPublicMessageInfo"
                                }
                            }
                        }
                    }
                }
            }
        }, 
        "/Message/Storage/{type}": {
            "parameters": [
                {
                    "$ref": "#/components/parameters/type"
                }
            ], 
            "post": {
                "tags": [
                    "Message"
                ], 
                "operationId": "postMessageStorageByType", 
                "summary": "Retrieve Project Message Storage", 
                "description": "Retrieves a folder information of the message storage.\n\n", 
                "responses": {
                    "201": {
                        "description": "OK — Response type: ThruPublicMessageInfo — Schema: ThruPublicMessageInfo structure contains information about MFT message.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruPublicMessageInfo"
                                }
                            }
                        }
                    }
                }, 
                "requestBody": {
                    "required": true, 
                    "description": "Request body — Request type: object", 
                    "content": {
                        "application/x-www-form-urlencoded": {
                            "schema": {
                                "type": "object", 
                                "properties": {
                                    "Subject": {
                                        "type": "string", 
                                        "description": "The subject text"
                                    }
                                }, 
                                "required": [
                                    "Subject"
                                ]
                            }, 
                            "example": {
                                "Subject": "Test Subject"
                            }
                        }
                    }
                }
            }
        }, 
        "/Search/{skip}/{take}": {
            "parameters": [
                {
                    "$ref": "#/components/parameters/skip"
                }, 
                {
                    "$ref": "#/components/parameters/take"
                }
            ], 
            "post": {
                "tags": [
                    "Search"
                ], 
                "operationId": "postSearchBySkipByTake", 
                "summary": "Find All Files and Folders by Search Criteria", 
                "description": "Retrieves a collection of folder and file structures based on the provided search criteria structure.\n\n**Remarks**\n| NameCriteria, DescriptionCriteria, KeywordCriteria are automatically wrapped by the ‘**’**  <br>**if not contains it as part of criteria. For example: “text” -> “\\*text**”, but “tex\\*t” -> “tex\\*t” |\n\n### Invocation Scenarios\nSearch over all MFT FS files and folders available to the current authenticated user.\n\n### Remarks\nNameCriteria, DescriptionCriteria, and KeywordCriteria are automatically wrapped by the ‘**’**\n**if not contains it as part of criteria. For example: “text” -> “\\*text**”, but “tex\\*t” -> “tex\\*t”", 
                "responses": {
                    "201": {
                        "description": "OK — Response type: ThruPublicContentResult — Schema: ThruPublicContentResult structure contains information about the content of the MFT FSfolder.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruPublicContentResult"
                                }
                            }
                        }
                    }
                }, 
                "requestBody": {
                    "required": true, 
                    "content": {
                        "application/x-www-form-urlencoded": {
                            "schema": {
                                "$ref": "#/components/schemas/ThruPublicSearchCriteria"
                            }, 
                            "example": "DescriptionCriteria=-&DescriptionCriteriaMatchAll=True&FolderID=0QN8H2VKTGIWE&KeywordCriteria=12%5C&KeywordCriteriaMatchAll=True&NameCriteria=-&NameCriteriaMatchAll=True&Recursive=True&LastModifiedByUsers=LastModifiedByUsers&DateLastModifiedStart=2025-01-01T00%3A00%3A00Z&DateLastModifiedEnd=2025-01-01T00%3A00%3A00Z"
                        }
                    }, 
                    "description": "Request body — Request type: ThruPublicSearchCriteria — Schema: ThruPublicSearchCriteria structure contains criteria for the search over MFT files and folders."
                }
            }
        }, 
        "/Search/Folders/{skip}/{take}": {
            "parameters": [
                {
                    "$ref": "#/components/parameters/skip"
                }, 
                {
                    "$ref": "#/components/parameters/take"
                }
            ], 
            "post": {
                "tags": [
                    "Search"
                ], 
                "operationId": "postSearchFoldersBySkipByTake", 
                "summary": "Find All Folders by Search Criteria", 
                "description": "Retrieves a collection of folder structures based on provided search criteria structure.\n\n**Remarks**\n| ThruPublicContentResult always contain null for ThruPublicFileInfo NameCriteria, DescriptionCriteria, KeywordCriteria  <br>are automatically wrapped by the ‘**’ if not contains it as part of criteria. For ex: “text” -> “\\*text**”, but “tex\\*t” -> “tex\\*t” |", 
                "responses": {
                    "201": {
                        "description": "OK — Response type: ThruPublicContentResult — Schema: ThruPublicContentResult structure contains information about the content of the MFT FSfolder.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruPublicContentResult"
                                }
                            }
                        }
                    }
                }, 
                "requestBody": {
                    "required": true, 
                    "content": {
                        "application/x-www-form-urlencoded": {
                            "schema": {
                                "$ref": "#/components/schemas/ThruPublicSearchCriteria"
                            }, 
                            "example": "DescriptionCriteria=-&DescriptionCriteriaMatchAll=True&FolderID=0QN8H2VKTGIWE&KeywordCriteria=12%5C&KeywordCriteriaMatchAll=True&NameCriteria=-&NameCriteriaMatchAll=True&Recursive=True&LastModifiedByUsers=LastModifiedByUsers&DateLastModifiedStart=2025-01-01T00%3A00%3A00Z&DateLastModifiedEnd=2025-01-01T00%3A00%3A00Z"
                        }
                    }, 
                    "description": "Request body — Request type: ThruPublicSearchCriteria — Schema: ThruPublicSearchCriteria structure contains criteria for the search over MFT files and folders."
                }
            }
        }, 
        "/Search/Files/{Skip}/{Take}": {
            "post": {
                "tags": [
                    "Search"
                ], 
                "operationId": "searchFilesByCriteria", 
                "summary": "Find All Files by Search Criteria", 
                "description": "Retrieves a collection of files based on the provided `ThruPublicSearchCriteria` object.", 
                "parameters": [
                    {
                        "name": "Skip", 
                        "in": "path", 
                        "required": true, 
                        "schema": {
                            "type": "integer", 
                            "minimum": 0
                        }, 
                        "description": "Number of items to skip (for paging)."
                    }, 
                    {
                        "name": "Take", 
                        "in": "path", 
                        "required": true, 
                        "schema": {
                            "type": "integer", 
                            "minimum": 1
                        }, 
                        "description": "Number of items to take/return (page size)."
                    }
                ], 
                "requestBody": {
                    "required": true, 
                    "content": {
                        "application/x-www-form-urlencoded": {
                            "schema": {
                                "$ref": "#/components/schemas/ThruPublicSearchCriteria"
                            }, 
                            "example": "DescriptionCriteria=-&DescriptionCriteriaMatchAll=True&FolderID=0QN8H2VKTGIWE&KeywordCriteria=12%5C&KeywordCriteriaMatchAll=True&NameCriteria=-&NameCriteriaMatchAll=True&Recursive=True&LastModifiedByUsers=LastModifiedByUsers&DateLastModifiedStart=2025-01-01T00%3A00%3A00Z&DateLastModifiedEnd=2025-01-01T00%3A00%3A00Z"
                        }
                    }, 
                    "description": "Request body — Request type: ThruPublicSearchCriteria — Schema: ThruPublicSearchCriteria structure contains criteria for the search over MFT files and folders."
                }, 
                "responses": {
                    "200": {
                        "description": "Successful search returning a collection of files. — Response type: ThruPublicContentResult — Schema: ThruPublicContentResult structure contains information about the content of the MFT FSfolder.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruPublicContentResult"
                                }
                            }
                        }
                    }, 
                    "400": {
                        "description": "Invalid search criteria or paging parameters."
                    }, 
                    "401": {
                        "description": "Authentication required or failed."
                    }, 
                    "500": {
                        "description": "Server error."
                    }
                }
            }
        }, 
        "/Server/Info": {
            "get": {
                "tags": [
                    "Server"
                ], 
                "operationId": "getServerInfo", 
                "summary": "Retrieve Server Information", 
                "description": "Retrieves information about current server.\n\n### Invocation Scenarios\nGet file information in order to fulfill it.", 
                "responses": {
                    "200": {
                        "description": "OK — Response type: ThruPublicServerInfo — Schema: ThruPublicServerInfo structure contains information about the configuration of server and its health status.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruPublicServerInfo"
                                }
                            }
                        }
                    }
                }
            }
        }, 
        "/Server/SyncPolicy": {
            "get": {
                "tags": [
                    "Server"
                ], 
                "operationId": "getServerSyncpolicy", 
                "summary": "Retrieve Server Sync Policy", 
                "description": "Server Sync Policy", 
                "responses": {
                    "200": {
                        "description": "OK — Response type: SyncPolicy — Schema: SyncPolicy structure contains information about the configuration of the server and its health status", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/SyncPolicy"
                                }
                            }
                        }
                    }
                }
            }
        }, 
        "/Server/AllowedBandwidth": {
            "get": {
                "tags": [
                    "Server"
                ], 
                "operationId": "getServerAllowedbandwidth", 
                "summary": "Retrieve Server Allowed Bandwidth", 
                "description": "Server Allowed Bandwidth", 
                "responses": {
                    "200": {
                        "description": "OK — Response type: ThruAllowedBandwidth — Schema: ThruAllowedBandwidth structure contains information about the configuration of the server and its health status", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruAllowedBandwidth"
                                }
                            }
                        }
                    }
                }
            }
        }, 
        "/Server/AllowedBandwidth/Interval": {
            "get": {
                "tags": [
                    "Server"
                ], 
                "operationId": "getServerAllowedbandwidthInterval", 
                "summary": "Retrieve Server Allowed Bandwidth interval", 
                "description": "Server Allowed Bandwidth interval", 
                "responses": {
                    "200": {
                        "description": "OK — Response type: ThruAllowedBandwidthInterval — Schema: ThruAllowedBandwidthInterval structure contains information about the configuration of the server and its health status", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruAllowedBandwidthInterval"
                                }
                            }
                        }
                    }
                }
            }
        }, 
        "/Server/MessageSettings": {
            "get": {
                "tags": [
                    "Server"
                ], 
                "operationId": "getServerMessagesettings", 
                "summary": "Retrieve Message Settings", 
                "description": "Retrieves information about message settings in the server.\n\n", 
                "responses": {
                    "200": {
                        "description": "OK — Response type: ThruMessageSettings — Schema: ThruMessageSettings structure contains information about the configuration of MFT messages.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruMessageSettings"
                                }
                            }
                        }
                    }
                }
            }
        }, 
        "/Server/PasswordSettings": {
            "get": {
                "tags": [
                    "Server"
                ], 
                "operationId": "getServerPasswordsettings", 
                "summary": "Retrieve Password Settings", 
                "description": "Retrieves information about password settings in the server\n\n", 
                "responses": {
                    "200": {
                        "description": "OK — Response type: ThruPasswordSettings — Schema: ThruPasswordSettings structure contains information about the configuration of the password strength, expiration, and lockout policies.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruPasswordSettings"
                                }
                            }
                        }
                    }
                }
            }
        }, 
        "/Server/UploadSettings": {
            "get": {
                "tags": [
                    "Server"
                ], 
                "operationId": "getServerUploadsettings", 
                "summary": "Retrieve Upload Settings", 
                "description": "Retrieves information about upload settings in the server.\n\n", 
                "responses": {
                    "200": {
                        "description": "OK — Response type: ThruUploadSettings — Schema: ThruUploadSettings structure contains information on upload settings.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruUploadSettings"
                                }
                            }
                        }
                    }
                }
            }
        }, 
        "/Server/MobileSettings": {
            "get": {
                "tags": [
                    "Server"
                ], 
                "operationId": "getServerMobilesettings", 
                "summary": "Retrieve Mobile settings", 
                "description": "Retrieves information about mobile settings in the server.\n\n", 
                "responses": {
                    "200": {
                        "description": "OK — Response type: ThruMobileSettings — Schema: ThruMobileSettings structure contains information on mobile application settings.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruMobileSettings"
                                }
                            }
                        }
                    }
                }
            }
        }, 
        "/ServerTool/ViewerRequest": {
            "post": {
                "tags": [
                    "ServerTool"
                ], 
                "operationId": "postServertoolViewerrequest", 
                "summary": "Create ServerTool ViewerRequest", 
                "description": "The call accepts ThruViewerRequest object and return shortID.\n\n", 
                "responses": {
                    "201": {
                        "description": "OK — Response type: ThruShortUrl — Schema: ThruShortUrl contains a string with the Short Key which is returned by View/Upload/Download requests and is used to call View/Upload/Download URL tools.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruShortUrl"
                                }
                            }
                        }
                    }
                }, 
                "requestBody": {
                    "required": true, 
                    "content": {
                        "application/x-www-form-urlencoded": {
                            "schema": {
                                "$ref": "#/components/schemas/ThruViewerRequest"
                            }, 
                            "example": "ErrorReportingUrl=http%3A%2F%2FerrorUrlHere.com&FilePublicId=286YJBJMIZ24V&SessionId=U6tTDWRFvEPFwkLeCu%E2%80%A6.%2FHtFh&SuccessUrl=http%3A%2F%2FsuccessUrlhere.com"
                        }
                    }, 
                    "description": "Request body — Request type: ThruViewerRequest — Schema: ThruViewerRequest structure contains the input fields required for web service call ViewerRequest which returns a Short Key for the View URL tool."
                }
            }
        }, 
        "/ServerTool/UploaderRequest": {
            "post": {
                "tags": [
                    "ServerTool"
                ], 
                "operationId": "postServertoolUploaderrequest", 
                "summary": "Create ServerTool UploaderRequest", 
                "description": "The call accepts ThruUploaderRequest object and return shortID.\n\n", 
                "responses": {
                    "201": {
                        "description": "OK — Response type: ThruShortUrl — Schema: ThruShortUrl contains a string with the Short Key which is returned by View/Upload/Download requests and is used to call View/Upload/Download URL tools.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruShortUrl"
                                }
                            }
                        }
                    }
                }, 
                "requestBody": {
                    "required": true, 
                    "content": {
                        "application/x-www-form-urlencoded": {
                            "schema": {
                                "$ref": "#/components/schemas/ThruUploaderRequest"
                            }, 
                            "example": "ErrorReportingUrl=http%3A%2F%2FerrorUrlHere.com&FileFilter=Zip+files+%28%5C.zip%2C+%5C.7z%2C+%5C.tar%29%3A+zip%2C+7z%2C+tar&FileFilterExceptions=exe%2C+com%2C+bat&FolderPublicId=286YJBJMIZ24V&SessionId=U6tTDWR+%E2%80%A6+%2FHtFh&SuccessUrl=http%3A%2F%2FsuccessUrlhere.com"
                        }
                    }, 
                    "description": "Request body — Request type: ThruUploaderRequest — Schema: ThruUploaderRequest structure contains the input fields required for web service call UploaderRequest which returns a Short Key for the Upload URL tool."
                }
            }
        }, 
        "/ServerTool/DownloaderRequest": {
            "post": {
                "tags": [
                    "ServerTool"
                ], 
                "operationId": "postServertoolDownloaderrequest", 
                "summary": "Create ServerTool DownloaderRequest", 
                "description": "The call accepts ThruDownloaderRequest object and return shortID.\n\n", 
                "responses": {
                    "201": {
                        "description": "OK — Response type: ThruShortUrl — Schema: ThruShortUrl contains a string with the Short Key which is returned by View/Upload/Download requests and is used to call View/Upload/Download URL tools.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruShortUrl"
                                }
                            }
                        }
                    }
                }, 
                "requestBody": {
                    "required": true, 
                    "content": {
                        "application/x-www-form-urlencoded": {
                            "schema": {
                                "$ref": "#/components/schemas/ThruDownloaderRequest"
                            }, 
                            "example": "ErrorReportingUrl=http%3A%2F%2FerrorUrlHere.com&FilePublicIds=286YJBJMIZ24C&FolderPublicIds=286YJBJMIZ24V&SessionId=U6tTD%E2%80%A6.%2FHtFh&SuccessUrl=http%3A%2F%2FsuccessUrlhere.com"
                        }
                    }, 
                    "description": "Request body — Request type: ThruDownloaderRequest — Schema: ThruDownloaderRequest structure contains the input fields required for web service call DownloaderRequest which returns a Short Key for the Download URL tool."
                }
            }
        }, 
        "/Session": {
            "post": {
                "tags": [
                    "Session"
                ], 
                "operationId": "postSession", 
                "summary": "Create New Session Object", 
                "description": "Verify user credentials and authenticate MFT user in the system. Optionally passes external user information for audit purposes in UserString for the session opened. Device\\_UUID parameter is mandatory and can be set to any string.\n\n**Remarks**\n| UserName=Test&Password=Password&ClientVersion=1&ApplicationId=12&Device\\_UUID=Device1234&UserString=User |\n\n### Invocation Scenarios\nVerify customer credentials\nAuthenticate customer\n\n### Remarks\nUserName=Test&Password=Password&ClientVersion=1&ApplicationId=12&Device\\_UUID=Device1234&UserString=User", 
                "responses": {
                    "201": {
                        "description": "OK — Response type: ThruPublicSession — Schema: ThruPublicSession structure contains authorization information about user.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruPublicSession"
                                }
                            }
                        }
                    }
                }, 
                "requestBody": {
                    "required": true, 
                    "content": {
                        "application/x-www-form-urlencoded": {
                            "schema": {
                                "$ref": "#/components/schemas/ThruSessionRequest"
                            }, 
                            "example": "ApplicationId=12&ClientVersion=1&Device%5CUUID=Device1234&Password=Password&UserName=Test&UserString=Name+%2F+email%40domain.com"
                        }
                    }, 
                    "description": "Request body — Request type: ThruSessionRequest — Schema: ThruSessionRequest structure contains information required for the MFT user authentication."
                }, 
                "security": []
            }, 
            "delete": {
                "tags": [
                    "Session"
                ], 
                "operationId": "deleteSession", 
                "summary": "Delete Existing Session Object", 
                "description": "Logs out MFT customer from the system.\n\n", 
                "responses": {
                    "200": {
                        "description": "None"
                    }
                }, 
                "security": []
            }, 
            "get": {
                "tags": [
                    "Session"
                ], 
                "operationId": "getSession", 
                "summary": "Check Existing Session Object", 
                "description": "Check if customer is authenticated.\n\n", 
                "responses": {
                    "200": {
                        "description": "None"
                    }
                }, 
                "security": []
            }
        }, 
        "/SessionByTicket": {
            "post": {
                "tags": [
                    "SessionByTicket"
                ], 
                "operationId": "postSessionbyticket", 
                "summary": "Create new Session object by Ticket", 
                "description": "Verify user credentials and authenticate MFT user in the system with regular session\n\n**Remarks**\n| Example request: UserName=admin&Password=password&  <br>ClientVersion=1&ApplicationId=12 |", 
                "responses": {
                    "201": {
                        "description": "OK — Response type: ThruPublicSession — Schema: ThruPublicSession structure contains authorization information about user.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruPublicSession"
                                }
                            }
                        }
                    }
                }, 
                "requestBody": {
                    "required": true, 
                    "content": {
                        "application/x-www-form-urlencoded": {
                            "schema": {
                                "$ref": "#/components/schemas/ThruSessionByTicketRequest"
                            }
                        }
                    }, 
                    "description": "Request body — Request type: ThruSessionByTicketRequest — Schema: ThruSessionByTicketRequest structure contains information required for the MFT user authentication"
                }, 
                "security": []
            }
        }, 
        "/SystemLog/{operationId}": {
            "parameters": [
                {
                    "$ref": "#/components/parameters/operationId"
                }
            ], 
            "post": {
                "tags": [
                    "Systemlog"
                ], 
                "operationId": "postSystemlogByOperationid", 
                "summary": "Create System Log Operation", 
                "description": "Add new log operation based on the provided ThruPublicSystemLogOperation structure.\n\n### Invocation Scenarios\nAdd new system log data.", 
                "responses": {
                    "201": {
                        "description": "OK — Response type: ThruPublicSystemLogOperation — Schema: ThruPublicSystemLogOperation structure contains information operation that will be logged in MFT.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruPublicSystemLogOperation"
                                }
                            }
                        }
                    }
                }, 
                "requestBody": {
                    "required": true, 
                    "content": {
                        "application/x-www-form-urlencoded": {
                            "schema": {
                                "$ref": "#/components/schemas/ThruPublicSystemLogOperation"
                            }, 
                            "example": "LogOperationId=1UEVYEHGF7GVW&OperationType=67108864&FolderId=0QN8H2VKTGIWE&FileId=30FZAAT6ULN30&MobileReceiverAppName=test"
                        }
                    }, 
                    "description": "Request body — Request type: ThruPublicSystemLogOperation — Schema: ThruPublicSystemLogOperation structure contains information operation that will be logged in MFT."
                }
            }
        }, 
        "/User/Info": {
            "get": {
                "tags": [
                    "User"
                ], 
                "operationId": "getUserInfo", 
                "summary": "Retrieve User Information", 
                "description": "Get information about currently logged user.\n\n### Invocation Scenarios\nGet information about user.", 
                "responses": {
                    "200": {
                        "description": "OK — Response type: ThruPublicUserInfo — Schema: ThruPublicUserInfo structure contains information about MFT user.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruPublicUserInfo"
                                }
                            }
                        }
                    }
                }
            }
        }, 
        "/User/Password": {
            "put": {
                "tags": [
                    "User"
                ], 
                "operationId": "putUserPassword", 
                "summary": "Update password for the User", 
                "description": "Set new password for the user.\n\n", 
                "requestBody": {
                    "required": true, 
                    "content": {
                        "application/x-www-form-urlencoded": {
                            "schema": {
                                "$ref": "#/components/schemas/ThruPasswordInfo"
                            }, 
                            "example": "ConfirmPassword=%5Cpassword1&NewPassword=%5Cpassword1&OldPassword=password"
                        }
                    }, 
                    "description": "Request body — Request type: ThruPasswordInfo — Schema: ThruPasswordInfo structure contains information that is required for password change."
                }, 
                "responses": {
                    "200": {
                        "description": "None"
                    }
                }
            }
        }, 
        "/UserGroups/{groupId}": {
            "parameters": [
                {
                    "$ref": "#/components/parameters/groupId"
                }
            ], 
            "put": {
                "tags": [
                    "UserGroups"
                ], 
                "operationId": "putUsergroupsByGroupid", 
                "summary": "Update UserGroup", 
                "description": "Update group data by a group ID. \n\n ### Remarks \n\n GroupID is required in 2 places: on the URL and in the object `ThruPublicGroupInfo`. \n\n `GroupID` value on URL is used, the value in `ThruPublicGroupInfo` is ignored.", 
                "requestBody": {
                    "required": true, 
                    "content": {
                        "application/x-www-form-urlencoded": {
                            "schema": {
                                "$ref": "#/components/schemas/ThruPublicGroupInfo"
                            }, 
                            "example": "Description=Cust1+Group&Id=1Q1OBQWVHTROE&ModifyRole=4&Name=Group1&UserGroupType=16"
                        }
                    }, 
                    "description": "Request body — Request type: ThruPublicGroupInfo — Schema: ThruPublicGroupInfo structure contains information about MFT file sharing user account."
                }, 
                "responses": {
                    "200": {
                        "description": "None"
                    }
                }
            }
        }, 
        "/{MFTWebServer}/REST/ServerVersion": {
            "parameters": [
                {
                    "$ref": "#/components/parameters/MFTWebServer"
                }
            ], 
            "get": {
                "tags": [
                    "ServerVersion"
                ], 
                "operationId": "getByMftwebserverRestServerversion", 
                "summary": "Retrieve Information about Server Version", 
                "description": "Gets information about version of MFT server.\n\n**Remarks**\n| Example:  <br>Server version 9.10.7.41914  <br>Return:  <br>Major: 9  <br>Minor:10  <br>Buildnumber: 7  <br>Suffix: \"\"  <br>Revision: 41914 |\n\n### Invocation Scenarios\nGet version.\n\n### Remarks\nExample:\nServer version 9.10.7.41914\nReturn:\nMajor: 9\nMinor:10\nBuildnumber: 7\nSuffix: \"\"\nRevision: 41914", 
                "responses": {
                    "200": {
                        "description": "OK — Response type: ThruServerVersion — Schema: ThruServerVersion structure contains information about version of ThruServer.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruServerVersion"
                                }
                            }
                        }
                    }
                }
            }
        }, 
        "/{MFTWebServer}/REST/ServiceVersions": {
            "parameters": [
                {
                    "$ref": "#/components/parameters/MFTWebServer"
                }
            ], 
            "get": {
                "tags": [
                    "ServiceVersions"
                ], 
                "operationId": "getByMftwebserverRestServiceversions", 
                "summary": "Information about Service Versions", 
                "description": "Gets information about versions of REST services in the ThruServer.\n\n### Invocation Scenarios\nGet list of services and their versions.", 
                "responses": {
                    "200": {
                        "description": "OK — Response type: ThruServiceVersionsResult — Schema: ThruServiceVersionsResult structure contains information about versions of REST services in the ThruServer.", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruServiceVersionsResult"
                                }
                            }
                        }
                    }
                }
            }
        }, 
        "/{MFTWebServer}/REST/{version}/UserGroups": {
            "parameters": [
                {
                    "$ref": "#/components/parameters/version"
                }, 
                {
                    "$ref": "#/components/parameters/MFTWebServer"
                }
            ], 
            "get": {
                "tags": [
                    "UserGroups"
                ], 
                "operationId": "getUsergroups", 
                "summary": "List User Groups", 
                "description": "List all groups in the site", 
                "responses": {
                    "200": {
                        "description": "OK — Response type: ThruCollectionResult", 
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ThruCollectionResult"
                                }
                            }
                        }
                    }
                }
            }
        }, 
        "/UserGroups/{groupId}/Users": {
            "parameters": [
                {
                    "$ref": "#/components/parameters/groupId"
                }, 
                {
                    "$ref": "#/components/parameters/version"
                }, 
                {
                    "$ref": "#/components/parameters/MFTWebServer"
                }
            ], 
            "get": {
                "tags": [
                    "UserGroups"
                ], 
                "operationId": "getUsergroupsByGroupidUsers", 
                "summary": "List users in a User Group", 
                "description": "List users in a User Group by userGroupID", 
                "responses": {
                    "200": {
                        "description": "OK — Response type: ThruCollectionResult", 
                        "content": {
                            "application/json": {
[...]
